Bug 812299 - The ovirt-shell console command doesn't work with SSL disabled
The ovirt-shell console command doesn't work with SSL disabled
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ovirt-engine-cli (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 06:32 EDT by Juan Hernández
Modified: 2013-04-21 03:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 04:21:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-04-13 06:32:52 EDT
Description of problem:

The ovrit-shell console command doesn't work correctly if SSH is disabled in the engine.

Version-Release number of selected component (if applicable):

ovirt-engine-cli-2.1.5

How reproducible:

Always.

Steps to Reproduce:

Make an ovirt-engine installation with SSL disabled and then try to use ovirt-shell to connect to the spice console of a virtual machine:

ovirt-shell --connect --url http://... --user admin@internal --password ...
[oVirt shell (connected)]# console myserver
  
Actual results:

No message from ovirt-shell and the spice command is not launched.

Expected results:

The spice command should be launched or an error message be presented.

Additional info:

This is the list of arguments that ovirt-shell is passing to the spice command:

['spicec', '-h', '192.168.200.100', '-p', '5900', '-s', 'None', '-w', 'FJ8pYdsKYhGH', '-t', 'myserver']

The problem is the "-s None" parameter, that should be omitted.
Comment 1 Juan Hernández 2012-04-13 06:58:51 EDT
Proposed change to fix this problem is available here:

http://gerrit.ovirt.org/3503
Comment 2 Juan Hernández 2012-04-19 10:56:44 EDT
The proposed change has been merged:

http://gerrit.ovirt.org/gitweb?p=ovirt-engine-cli.git;a=commit;h=13d93e816abd9f527c22ea9810195068fb184dcb
Comment 3 Juan Hernández 2012-05-11 04:07:08 EDT
This change is included in release 2.1.6.
Comment 4 Fedora End Of Life 2013-01-16 21:06:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Michael Pasternak 2013-04-21 03:30:54 EDT
*** Bug 953340 has been marked as a duplicate of this bug. ***
Comment 6 Michael Pasternak 2013-04-21 03:34:10 EDT
*** Bug 953582 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.